<?php
/*
Template Name: Display Authors
*/

get_header();

$sidebar_pos = enamag_post_option( 'sidebar_pos' ); 
?>

<div id="main" class="magContainer <?php echo esc_attr( 'sidebar-'.$sidebar_pos ) ?>"><!-- Closed in Sidebar -->
  <header class="titlePost magContainer" >
    <div class="singleTitle ">
      <h1>
      
      <?php the_title(); ?>
        
      </h1> 
    </div>      
    <div class="clear"></div>  
  </header>
  <div id="mainContent">

    <?php 

    // Start the Loop.
    while ( have_posts() ) : the_post(); 

    // Include the page content template.
    get_template_part( 'content', 'page' );

    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) {
      comments_template();
    }
    endwhile;  
    // get authors
    // setup user query
    $user_query = new WP_User_Query(array(
      'orderby' => 'post_count',
      'order'   => 'DESC',
      'who'     => '',
      ));
    $authors = (array) $user_query->get_results(); 
    foreach ( $authors as $author ) {
      $authordata = $author;
      
      // Show All Authors.
      get_template_part( 'inc/ena-authorInfo' ); 
    } 
    ?>

  </div><!-- #mainContent -->

<?php 
get_sidebar(); 
get_footer();