<?php

if (!function_exists( 'enamag_comment' ) ):

function enamag_comment( $comment, $args, $depth ){
$GLOBALS['comment'] = $comment;

switch ( $comment->comment_type ):
case 'pingback':
case 'trackback':
?>

<li class="post pingback">
	<p><?php _e( 'Pingback:', 'enamag' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'enamag' ), '<span class="edit-link">', '</span>' ); ?></p>
	
	<?php
	break;
	default:
	?>

	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="comment">
			<div class="comment-avatar">
				<?php
				echo get_avatar( $comment, 40 );
				?>
			</div>

			<div class="comment-meta">					
				<span class="comment-author"><?php comment_author_link(); ?></span> 
				<?php _e( 'on', 'enamag' ); ?> 
				<a href="<?php comment_link(); ?>" class="comment-time" title="<?php comment_date(); _e( ' at ', 'enamag' ); comment_time(); ?>">
					<time  datetime="<?php comment_time( 'c' ); ?>"><?php comment_date(); ?> <?php comment_time(); ?></time>
				</a>

				<?php edit_comment_link( __( 'Edit', 'enamag' ), '<span class="edit-link"> &middot; ', '</span>' ); ?>

			</div> <!-- .comment-meta -->
			<div class="comment-content">

				<?php comment_text(); ?>

				<?php if ( $comment->comment_approved == '0' ): ?>

					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'enamag' ); ?></em>

				<?php endif; ?>

				<div class="reply">

					<?php
					comment_reply_link( array_merge( $args, array(
						'reply_text' => __( 'Reply', 'enamag' ) . ' <i class="fa fa-angle-right"></i>',
						'depth'      => $depth,
						'max_depth'  => $args['max_depth']
						))); 
						?>

				</div><!-- .reply -->
			</div>
		</div><!-- #comment-N -->

<?php
	break;
	endswitch; 
}

endif;
