<?php
/*
Template Name: Sitemap
*/
get_header();

$sidebar_pos = enamag_post_option( 'sidebar_pos' ); 
?>

<div id="main" class="page-sitemap magContainer <?php echo esc_attr( 'sidebar-'.$sidebar_pos ) ?>"><!-- Closed in Sidebar -->
	<header class="titlePost magContainer" >
		<div class="singleTitle ">
			<h1>
			
			<?php the_title(); ?>
				
			</h1> 
		</div>  
		<div class="clear"></div>  
	</header>
	<div id="mainContent">

		<?php 

		// Start the Loop.
		while ( have_posts() ) : the_post(); 

		// Include the page content template.
		//get_template_part( 'content', 'page' );

		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) {
			comments_template();
		}
		endwhile; 
		// rewind 
		rewind_posts(); 
		?>

		<aside class="mag-widget ena_widget_pages">
			<h4 class="widgetTitle"><span><?php _e( 'Pages', 'enamag' ); ?></span></h4>
			<ul class="widgetBody"><?php wp_list_pages( array( 'title_li' => '' ) ); ?></ul>
		</aside>
		<aside class="mag-widget ena_widget_categories">
			<h4 class="widgetTitle"><span><?php _e( 'Categories', 'enamag' ); ?></span></h4>
			<ul class="widgetBody"><?php wp_list_categories( array( 'title_li' => '' ) ); ?></ul>
		</aside>
		<aside class="mag-widget ena_widget_recent_entries">
			<h4 class="widgetTitle">
			<span><?php _e( 'Recent Posts', 'enamag' ); ?></span>
			</h4>

			<?php 
			$args = array( 
				'posts_per_page' => 10, 
				'orderby' => 'date', 
				'order' => 'desc' 
				);
			// The Query
			$the_query = new WP_Query( $args ); ?>

				<ul class="widgetBody">

				<?php while ( $the_query->have_posts() ): $the_query->the_post(); ?>

					<li class="recent-item">
						<a href="<?php the_permalink(); ?>">

							<?php the_title(); ?>

						</a>
					</li>

				<?php 
					endwhile;
					wp_reset_query(); 
				?>

			</ul>
		</aside>
		<aside class="mag-widget ena_widget_archive">
			<h4 class="widgetTitle"><span><?php _e( 'Archives', 'enamag' ); ?></span></h4>
			<ul class="widgetBody"><?php wp_get_archives( 'class' ); ?></ul>
		</aside>
		<div class="clear"></div>
	</div><!-- #mainContent -->

<?php 
get_sidebar();
get_footer();
